## sdpdemux sdpdemux — Receive data over the network via SDP |

## Synopsis

    struct              GstSDPDemux;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBin
                         +----GstSDPDemux

## Implemented Interfaces

GstSDPDemux implements GstChildProxy.

## Properties

      "debug"                    gboolean              : Read / Write / Construct
      "latency"                  guint                 : Read / Write / Construct
      "timeout"                  guint64               : Read / Write / Construct
      "redirect"                 gboolean              : Read / Write / Construct

## Description

sdpdemux currently understands SDP as the input format of the session description. For each stream listed in the SDP a new rtp_stream`d` pad will be created with caps derived from the SDP media description. This is a caps of mime type "application/x-rtp" that can be connected to any available RTP depayloader element.

sdpdemux will internally instantiate an RTP session manager element that will handle the RTCP messages to and from the server, jitter removal, packet reordering along with providing a clock for the pipeline.

sdpdemux acts like a live element and will therefore only generate data in the PLAYING state.

### Example launch line

    1
    gst-launch gnomevfssrc location=http://some.server/session.sdp ! sdpdemux ! fakesink

Establish a connection to an HTTP server that contains an SDP session description that gets parsed by sdpdemux and send the raw RTP packets to a fakesink.

Last reviewed on 2007-10-01 (0.10.6)

## Synopsis

### Element Information

plugin | sdp
author | Wim Taymans <wim.taymans@gmail.com>
class | Codec/Demuxer/Network/RTP

### Element Pads

name | sink
direction | sink
presence | always
details | application/sdp

name | stream%d
direction | source
presence | sometimes
details | application/x-rtp

## Details

### struct GstSDPDemux

    struct GstSDPDemux;

## Property Details

### The `"debug"` property

      "debug"                    gboolean              : Read / Write / Construct

Dump request and response messages to stdout.

Default value: FALSE

### The `"latency"` property

      "latency"                  guint                 : Read / Write / Construct

Amount of ms to buffer.

Default value: 200

### The `"timeout"` property

      "timeout"                  guint64               : Read / Write / Construct

Fail transport after UDP timeout microseconds (0 = disabled).

Default value: 10000000

### The `"redirect"` property

      "redirect"                 gboolean              : Read / Write / Construct

Sends a redirection message instead of using a custom session element.

Default value: TRUE